Comments & Reactions
List a check-in's comments
GET https://service.steady.space/api/v2/check-ins/{check_in_id}/comments
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
page |
integer | No | Page number (1-indexed). |
per_page |
integer | No | Number of records per page. |
200 Response
[
{
"id": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"body": "Nice work — let's keep an eye on the error budget.\n",
"person": {
"id": "5d8f9a12-3c4b-4e5d-9a6b-7c8d9e0f1a2b",
"name": "Jordan Park"
},
"resource": {
"type": "check-in",
"id": "9b2c3d4e-5f60-4718-9201-3456789abcde"
},
"created_at": "2026-05-04T19:01:11Z"
}
]
Field reference
| Name | Type | Description |
|---|---|---|
type |
string | |
id |
string | |
body |
string | Comment body rendered as Markdown. |
person |
object | |
resource |
object | Reference to a related resource by |
created_at |
string |
List a check-in's reactions
GET https://service.steady.space/api/v2/check-ins/{check_in_id}/reactions
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
page |
integer | No | Page number (1-indexed). |
per_page |
integer | No | Number of records per page. |
200 Response
[
{
"id": "2b3c4d5e-6f70-4d8e-9a01-2345678901cd",
"name": "tada",
"emoji": "🎉",
"person": {
"id": "5d8f9a12-3c4b-4e5d-9a6b-7c8d9e0f1a2b",
"name": "Jordan Park"
},
"resource": {
"type": "check-in",
"id": "9b2c3d4e-5f60-4718-9201-3456789abcde"
},
"created_at": "2026-05-04T19:01:11Z"
}
]
Field reference
| Name | Type | Description |
|---|---|---|
id |
string | |
name |
string | The reaction kind. |
emoji |
string | Unicode emoji character for the reaction. |
person |
object | |
resource |
object | Reference to a related resource by |
created_at |
string |
List a goal update's comments
GET https://service.steady.space/api/v2/goal-updates/{goal_update_id}/comments
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
page |
integer | No | Page number (1-indexed). |
per_page |
integer | No | Number of records per page. |
200 Response
[
{
"id": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"body": "Nice work — let's keep an eye on the error budget.\n",
"person": {
"id": "5d8f9a12-3c4b-4e5d-9a6b-7c8d9e0f1a2b",
"name": "Jordan Park"
},
"resource": {
"type": "check-in",
"id": "9b2c3d4e-5f60-4718-9201-3456789abcde"
},
"created_at": "2026-05-04T19:01:11Z"
}
]
Field reference
| Name | Type | Description |
|---|---|---|
type |
string | |
id |
string | |
body |
string | Comment body rendered as Markdown. |
person |
object | |
resource |
object | Reference to a related resource by |
created_at |
string |
List a goal update's reactions
GET https://service.steady.space/api/v2/goal-updates/{goal_update_id}/reactions
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
page |
integer | No | Page number (1-indexed). |
per_page |
integer | No | Number of records per page. |
200 Response
[
{
"id": "2b3c4d5e-6f70-4d8e-9a01-2345678901cd",
"name": "tada",
"emoji": "🎉",
"person": {
"id": "5d8f9a12-3c4b-4e5d-9a6b-7c8d9e0f1a2b",
"name": "Jordan Park"
},
"resource": {
"type": "check-in",
"id": "9b2c3d4e-5f60-4718-9201-3456789abcde"
},
"created_at": "2026-05-04T19:01:11Z"
}
]
Field reference
| Name | Type | Description |
|---|---|---|
id |
string | |
name |
string | The reaction kind. |
emoji |
string | Unicode emoji character for the reaction. |
person |
object | |
resource |
object | Reference to a related resource by |
created_at |
string |